package migrations

import (
	"github.com/pocketbase/dbx"
	"github.com/pocketbase/pocketbase/daos"
	m "github.com/pocketbase/pocketbase/migrations"
)

func init() {
	m.Register(func(db dbx.Builder) error {
		dao := daos.New(db)

		initialUsersCollection, err := dao.FindCollectionByNameOrId("users")
		if err != nil {
			return err
		}

		if err := dao.DeleteCollection(initialUsersCollection); err != nil {
			return err
		}
		return nil

	}, func(db dbx.Builder) error {
		return nil
	})
}
